package com.Kettle.schedule.KingBase.Pollutant;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class ShipPollutantAccept {
    @Value("${Kettle.Kingbase.ShipPollutant}")
    private String shipPollutantAccept;

    @XxlJob("ShipPollutantKingBase")
    public ReturnT<String> shipPollutantAcceptKettle(String param){
        try {
            runTransfer(shipPollutantAccept);
        } catch (KettleException e) {
            e.getMessage();
            XxlJobLogger.log(shipPollutantAccept + "出现异常"  + e.getMessage());
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;
    }
}
