package com.Kettle.schedule.KingBase.Pollutant;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.pentaho.di.core.exception.KettleException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;
@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class pollutantAisJob {
    @Value("${Kettle.Kingbase.pollutantinportAis}")
    private String pollutantInportAIS;

    @XxlJob("pollutantAisKingBase")
    public ReturnT<String> pollutantAisKettle(String param){
        try {
            runTransfer(pollutantInportAIS);
        } catch (KettleException e) {
            e.getMessage();
            XxlJobLogger.log(pollutantInportAIS + "出现异常"  + e.getMessage());
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;
    }

}
